/*
 * AliveLib.h
 *
 *  Created on: 2010/11/30
 *      Author: yotubata
 */

#ifndef ALIVELIB_H_
#define ALIVELIB_H_

/*
 * OpenRTM インクルードファイル インクルード
 */
#include <rtm/Manager.h>
#include <rtm/DataFlowComponentBase.h>
#include <rtm/CorbaPort.h>
#include <rtm/DataInPort.h>
#include <rtm/DataOutPort.h>
#include <rtm/idl/BasicDataTypeSkel.h>
#include <rtm/idl/ExtendedDataTypesSkel.h>
#include <rtm/idl/InterfaceDataTypesSkel.h>

/*
 * 公開関数プロトタイプ宣言
 */
extern "C"{
RTC::ReturnCode_t aliveLibInit(RTC::Manager *mgr, RTC::RTObject_impl *pComp);			// ライブラリの初期化を行う
RTC::ReturnCode_t aliveLibActivated();	// ライブラリの活性化を行う
RTC::ReturnCode_t aliveLibIsAlive();
RTC::ReturnCode_t aliveLibRecover();

RTC::ReturnCode_t aliveLibFinalize();		// ライブラリの終了処理を行う
}
#endif /* ALIVELIB_H_ */
