#ifndef FRONTDESK_H_
#define FRONTDESK_H_

#include "QueryInfo.h"
#include "CGI_Engine.h"
#include "UserMemberData.h"

#define SEM_LOCK_FRONTDESK			SEM_LOCK_ID + 14

class FrontDesk : public CGI_Engine{
public:
	FrontDesk(QueryInfo *query);
	~FrontDesk();

	bool SendVisitorData();

protected:
	std::string	getHTMLFileName(std::string pageName, std::string command);
	std::string	getMapData(std::string keyName);
	bool		readDataFile();
	bool		loopProc(std::string loopKey);

private:
	std::map <std::string, std::string> curVisitorData;
	VisitorTicket	visitor_info;
};

#endif /*FRONTDESK_H_*/
